import java.awt.*;
import java.applet.*;

public class ConfigApplet3 extends Applet
{
    String str;
    Point position;

    public void init()
    {
        HandleTextParam();
        HandleTypeSizeParam();
        HandlePositionParam();
    }

    public void paint(Graphics g)
    {
        g.drawString(str, position.x, position.y);
    }

    protected void HandleTextParam()
    {
        str = getParameter("text");
        if (str == null)
            str = "Default Text";
    }

    protected void HandleTypeSizeParam()
    {
        String s = getParameter("typesize");
        if (s == null)
            s = "24";
        int typeSize = Integer.parseInt(s);

        Font font = new Font("TimesRoman", Font.BOLD, typeSize);
        setFont(font);
    }

    protected void HandlePositionParam()
    {
        String s = getParameter("xpos");
        if (s == null)
            s = "20";
        int xpos = Integer.parseInt(s);

        s = getParameter("ypos");
        if (s == null)
            s = "50";
        int ypos = Integer.parseInt(s);

        position = new Point(xpos, ypos);
    }
}

